from fred_api.registry.contact import contact_common_types_pb2 as _contact_common_types_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class ContactStateRequest(_message.Message):
    __slots__ = ("contact_id",)
    CONTACT_ID_FIELD_NUMBER: _ClassVar[int]
    contact_id: _contact_common_types_pb2.ContactId
    def __init__(self, contact_id: _Optional[_Union[_contact_common_types_pb2.ContactId, _Mapping]] = ...) -> None: ...

class ContactState(_message.Message):
    __slots__ = ("flags",)
    class FlagsEntry(_message.Message):
        __slots__ = ("key", "value")
        KEY_FIELD_NUMBER: _ClassVar[int]
        VALUE_FIELD_NUMBER: _ClassVar[int]
        key: str
        value: bool
        def __init__(self, key: _Optional[str] = ..., value: bool = ...) -> None: ...
    FLAGS_FIELD_NUMBER: _ClassVar[int]
    flags: _containers.ScalarMap[str, bool]
    def __init__(self, flags: _Optional[_Mapping[str, bool]] = ...) -> None: ...

class ContactStateReply(_message.Message):
    __slots__ = ("data", "exception")
    class Data(_message.Message):
        __slots__ = ("contact_id", "state")
        CONTACT_ID_FIELD_NUMBER: _ClassVar[int]
        STATE_FIELD_NUMBER: _ClassVar[int]
        contact_id: _contact_common_types_pb2.ContactId
        state: ContactState
        def __init__(self, contact_id: _Optional[_Union[_contact_common_types_pb2.ContactId, _Mapping]] = ..., state: _Optional[_Union[ContactState, _Mapping]] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ("contact_does_not_exist",)
        class ContactDoesNotExist(_message.Message):
            __slots__ = ()
            def __init__(self) -> None: ...
        CONTACT_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        contact_does_not_exist: ContactStateReply.Exception.ContactDoesNotExist
        def __init__(self, contact_does_not_exist: _Optional[_Union[ContactStateReply.Exception.ContactDoesNotExist, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: ContactStateReply.Data
    exception: ContactStateReply.Exception
    def __init__(self, data: _Optional[_Union[ContactStateReply.Data, _Mapping]] = ..., exception: _Optional[_Union[ContactStateReply.Exception, _Mapping]] = ...) -> None: ...
