from fred_api.registry.contact import contact_common_types_pb2 as _contact_common_types_pb2
from fred_api.registry import common_types_pb2 as _common_types_pb2
from fred_api.registry import pagination_pb2 as _pagination_pb2
from fred_api.registry.registrar import registrar_common_types_pb2 as _registrar_common_types_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf.internal import enum_type_wrapper as _enum_type_wrapper
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class ListMergeCandidatesRequest(_message.Message):
    __slots__ = ("contact_id", "pagination", "order_by")
    class OrderByField(int, metaclass=_enum_type_wrapper.EnumTypeWrapper):
        __slots__ = ()
        order_by_field_unspecified: _ClassVar[ListMergeCandidatesRequest.OrderByField]
        order_by_field_crdate: _ClassVar[ListMergeCandidatesRequest.OrderByField]
        order_by_field_handle: _ClassVar[ListMergeCandidatesRequest.OrderByField]
        order_by_field_name: _ClassVar[ListMergeCandidatesRequest.OrderByField]
        order_by_field_organization: _ClassVar[ListMergeCandidatesRequest.OrderByField]
        order_by_field_domain_count: _ClassVar[ListMergeCandidatesRequest.OrderByField]
        order_by_field_nsset_count: _ClassVar[ListMergeCandidatesRequest.OrderByField]
        order_by_field_keyset_count: _ClassVar[ListMergeCandidatesRequest.OrderByField]
        order_by_field_sponsoring_registrar_handle: _ClassVar[ListMergeCandidatesRequest.OrderByField]
    order_by_field_unspecified: ListMergeCandidatesRequest.OrderByField
    order_by_field_crdate: ListMergeCandidatesRequest.OrderByField
    order_by_field_handle: ListMergeCandidatesRequest.OrderByField
    order_by_field_name: ListMergeCandidatesRequest.OrderByField
    order_by_field_organization: ListMergeCandidatesRequest.OrderByField
    order_by_field_domain_count: ListMergeCandidatesRequest.OrderByField
    order_by_field_nsset_count: ListMergeCandidatesRequest.OrderByField
    order_by_field_keyset_count: ListMergeCandidatesRequest.OrderByField
    order_by_field_sponsoring_registrar_handle: ListMergeCandidatesRequest.OrderByField
    class OrderBy(_message.Message):
        __slots__ = ("field", "direction")
        FIELD_FIELD_NUMBER: _ClassVar[int]
        DIRECTION_FIELD_NUMBER: _ClassVar[int]
        field: ListMergeCandidatesRequest.OrderByField
        direction: _common_types_pb2.OrderByDirection
        def __init__(self, field: _Optional[_Union[ListMergeCandidatesRequest.OrderByField, str]] = ..., direction: _Optional[_Union[_common_types_pb2.OrderByDirection, str]] = ...) -> None: ...
    CONTACT_ID_FIELD_NUMBER: _ClassVar[int]
    PAGINATION_FIELD_NUMBER: _ClassVar[int]
    ORDER_BY_FIELD_NUMBER: _ClassVar[int]
    contact_id: _contact_common_types_pb2.ContactId
    pagination: _pagination_pb2.PaginationRequest
    order_by: _containers.RepeatedCompositeFieldContainer[ListMergeCandidatesRequest.OrderBy]
    def __init__(self, contact_id: _Optional[_Union[_contact_common_types_pb2.ContactId, _Mapping]] = ..., pagination: _Optional[_Union[_pagination_pb2.PaginationRequest, _Mapping]] = ..., order_by: _Optional[_Iterable[_Union[ListMergeCandidatesRequest.OrderBy, _Mapping]]] = ...) -> None: ...

class ListMergeCandidatesReply(_message.Message):
    __slots__ = ("data", "exception")
    class Data(_message.Message):
        __slots__ = ("merge_candidates", "pagination")
        class MergeCandidate(_message.Message):
            __slots__ = ("contact", "domain_count", "nsset_count", "keyset_count", "sponsoring_registrar")
            CONTACT_FIELD_NUMBER: _ClassVar[int]
            DOMAIN_COUNT_FIELD_NUMBER: _ClassVar[int]
            NSSET_COUNT_FIELD_NUMBER: _ClassVar[int]
            KEYSET_COUNT_FIELD_NUMBER: _ClassVar[int]
            SPONSORING_REGISTRAR_FIELD_NUMBER: _ClassVar[int]
            contact: _contact_common_types_pb2.ContactRef
            domain_count: int
            nsset_count: int
            keyset_count: int
            sponsoring_registrar: _registrar_common_types_pb2.RegistrarRef
            def __init__(self, contact: _Optional[_Union[_contact_common_types_pb2.ContactRef, _Mapping]] = ..., domain_count: _Optional[int] = ..., nsset_count: _Optional[int] = ..., keyset_count: _Optional[int] = ..., sponsoring_registrar: _Optional[_Union[_registrar_common_types_pb2.RegistrarRef, _Mapping]] = ...) -> None: ...
        MERGE_CANDIDATES_FIELD_NUMBER: _ClassVar[int]
        PAGINATION_FIELD_NUMBER: _ClassVar[int]
        merge_candidates: _containers.RepeatedCompositeFieldContainer[ListMergeCandidatesReply.Data.MergeCandidate]
        pagination: _pagination_pb2.PaginationReply
        def __init__(self, merge_candidates: _Optional[_Iterable[_Union[ListMergeCandidatesReply.Data.MergeCandidate, _Mapping]]] = ..., pagination: _Optional[_Union[_pagination_pb2.PaginationReply, _Mapping]] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ("contact_does_not_exist", "invalid_data")
        CONTACT_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        INVALID_DATA_FIELD_NUMBER: _ClassVar[int]
        contact_does_not_exist: _common_types_pb2.ContactDoesNotExist
        invalid_data: _common_types_pb2.InvalidData
        def __init__(self, contact_does_not_exist: _Optional[_Union[_common_types_pb2.ContactDoesNotExist, _Mapping]] = ..., invalid_data: _Optional[_Union[_common_types_pb2.InvalidData, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: ListMergeCandidatesReply.Data
    exception: ListMergeCandidatesReply.Exception
    def __init__(self, data: _Optional[_Union[ListMergeCandidatesReply.Data, _Mapping]] = ..., exception: _Optional[_Union[ListMergeCandidatesReply.Exception, _Mapping]] = ...) -> None: ...
