from fred_api.registry.contact import contact_common_types_pb2 as _contact_common_types_pb2
from fred_api.registry import common_types_pb2 as _common_types_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class UpdateContactStateRequest(_message.Message):
    __slots__ = ("contact_id", "contact_history_id", "set_flags", "log_entry_id")
    class SetFlagsEntry(_message.Message):
        __slots__ = ("key", "value")
        KEY_FIELD_NUMBER: _ClassVar[int]
        VALUE_FIELD_NUMBER: _ClassVar[int]
        key: str
        value: bool
        def __init__(self, key: _Optional[str] = ..., value: bool = ...) -> None: ...
    CONTACT_ID_FIELD_NUMBER: _ClassVar[int]
    CONTACT_HISTORY_ID_FIELD_NUMBER: _ClassVar[int]
    SET_FLAGS_FIELD_NUMBER: _ClassVar[int]
    LOG_ENTRY_ID_FIELD_NUMBER: _ClassVar[int]
    contact_id: _contact_common_types_pb2.ContactId
    contact_history_id: _contact_common_types_pb2.ContactHistoryId
    set_flags: _containers.ScalarMap[str, bool]
    log_entry_id: _common_types_pb2.LogEntryId
    def __init__(self, contact_id: _Optional[_Union[_contact_common_types_pb2.ContactId, _Mapping]] = ..., contact_history_id: _Optional[_Union[_contact_common_types_pb2.ContactHistoryId, _Mapping]] = ..., set_flags: _Optional[_Mapping[str, bool]] = ..., log_entry_id: _Optional[_Union[_common_types_pb2.LogEntryId, _Mapping]] = ...) -> None: ...

class UpdateContactStateReply(_message.Message):
    __slots__ = ("data", "exception")
    class Data(_message.Message):
        __slots__ = ("contact_handle", "contact_id", "contact_history_id")
        CONTACT_HANDLE_FIELD_NUMBER: _ClassVar[int]
        CONTACT_ID_FIELD_NUMBER: _ClassVar[int]
        CONTACT_HISTORY_ID_FIELD_NUMBER: _ClassVar[int]
        contact_handle: _contact_common_types_pb2.ContactHandle
        contact_id: _contact_common_types_pb2.ContactId
        contact_history_id: _contact_common_types_pb2.ContactHistoryId
        def __init__(self, contact_handle: _Optional[_Union[_contact_common_types_pb2.ContactHandle, _Mapping]] = ..., contact_id: _Optional[_Union[_contact_common_types_pb2.ContactId, _Mapping]] = ..., contact_history_id: _Optional[_Union[_contact_common_types_pb2.ContactHistoryId, _Mapping]] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ("contact_does_not_exist", "not_current_version")
        class ContactDoesNotExist(_message.Message):
            __slots__ = ()
            def __init__(self) -> None: ...
        class NotCurrentVersion(_message.Message):
            __slots__ = ()
            def __init__(self) -> None: ...
        CONTACT_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        NOT_CURRENT_VERSION_FIELD_NUMBER: _ClassVar[int]
        contact_does_not_exist: UpdateContactStateReply.Exception.ContactDoesNotExist
        not_current_version: UpdateContactStateReply.Exception.NotCurrentVersion
        def __init__(self, contact_does_not_exist: _Optional[_Union[UpdateContactStateReply.Exception.ContactDoesNotExist, _Mapping]] = ..., not_current_version: _Optional[_Union[UpdateContactStateReply.Exception.NotCurrentVersion, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: UpdateContactStateReply.Data
    exception: UpdateContactStateReply.Exception
    def __init__(self, data: _Optional[_Union[UpdateContactStateReply.Data, _Mapping]] = ..., exception: _Optional[_Union[UpdateContactStateReply.Exception, _Mapping]] = ...) -> None: ...
