from fred_api.registry.domain import domain_common_types_pb2 as _domain_common_types_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class ZoneDoesNotExist(_message.Message):
    __slots__ = ()
    def __init__(self) -> None: ...

class ListDomainsRequest(_message.Message):
    __slots__ = ("zone",)
    ZONE_FIELD_NUMBER: _ClassVar[int]
    zone: str
    def __init__(self, zone: _Optional[str] = ...) -> None: ...

class ListDomainsReply(_message.Message):
    __slots__ = ("data", "exception")
    class Data(_message.Message):
        __slots__ = ("domains",)
        DOMAINS_FIELD_NUMBER: _ClassVar[int]
        domains: _containers.RepeatedCompositeFieldContainer[_domain_common_types_pb2.DomainRef]
        def __init__(self, domains: _Optional[_Iterable[_Union[_domain_common_types_pb2.DomainRef, _Mapping]]] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ("zone_does_not_exist",)
        ZONE_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        zone_does_not_exist: ZoneDoesNotExist
        def __init__(self, zone_does_not_exist: _Optional[_Union[ZoneDoesNotExist, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: ListDomainsReply.Data
    exception: ListDomainsReply.Exception
    def __init__(self, data: _Optional[_Union[ListDomainsReply.Data, _Mapping]] = ..., exception: _Optional[_Union[ListDomainsReply.Exception, _Mapping]] = ...) -> None: ...
