from fred_api.registry.keyset import keyset_common_types_pb2 as _keyset_common_types_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class KeysetStateRequest(_message.Message):
    __slots__ = ("keyset_id",)
    KEYSET_ID_FIELD_NUMBER: _ClassVar[int]
    keyset_id: _keyset_common_types_pb2.KeysetId
    def __init__(self, keyset_id: _Optional[_Union[_keyset_common_types_pb2.KeysetId, _Mapping]] = ...) -> None: ...

class KeysetState(_message.Message):
    __slots__ = ("flags",)
    class FlagsEntry(_message.Message):
        __slots__ = ("key", "value")
        KEY_FIELD_NUMBER: _ClassVar[int]
        VALUE_FIELD_NUMBER: _ClassVar[int]
        key: str
        value: bool
        def __init__(self, key: _Optional[str] = ..., value: bool = ...) -> None: ...
    FLAGS_FIELD_NUMBER: _ClassVar[int]
    flags: _containers.ScalarMap[str, bool]
    def __init__(self, flags: _Optional[_Mapping[str, bool]] = ...) -> None: ...

class KeysetStateReply(_message.Message):
    __slots__ = ("data", "exception")
    class Data(_message.Message):
        __slots__ = ("keyset_id", "state")
        KEYSET_ID_FIELD_NUMBER: _ClassVar[int]
        STATE_FIELD_NUMBER: _ClassVar[int]
        keyset_id: _keyset_common_types_pb2.KeysetId
        state: KeysetState
        def __init__(self, keyset_id: _Optional[_Union[_keyset_common_types_pb2.KeysetId, _Mapping]] = ..., state: _Optional[_Union[KeysetState, _Mapping]] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ("keyset_does_not_exist",)
        class KeysetDoesNotExist(_message.Message):
            __slots__ = ()
            def __init__(self) -> None: ...
        KEYSET_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        keyset_does_not_exist: KeysetStateReply.Exception.KeysetDoesNotExist
        def __init__(self, keyset_does_not_exist: _Optional[_Union[KeysetStateReply.Exception.KeysetDoesNotExist, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: KeysetStateReply.Data
    exception: KeysetStateReply.Exception
    def __init__(self, data: _Optional[_Union[KeysetStateReply.Data, _Mapping]] = ..., exception: _Optional[_Union[KeysetStateReply.Exception, _Mapping]] = ...) -> None: ...
