from fred_api.registry import common_types_pb2 as _common_types_pb2
from google.protobuf import timestamp_pb2 as _timestamp_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class RegistrarHandle(_message.Message):
    __slots__ = ("value",)
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class RegistrarId(_message.Message):
    __slots__ = ("value",)
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class RegistrarRef(_message.Message):
    __slots__ = ("id", "handle", "name", "organization")
    ID_FIELD_NUMBER: _ClassVar[int]
    HANDLE_FIELD_NUMBER: _ClassVar[int]
    NAME_FIELD_NUMBER: _ClassVar[int]
    ORGANIZATION_FIELD_NUMBER: _ClassVar[int]
    id: RegistrarId
    handle: RegistrarHandle
    name: str
    organization: str
    def __init__(self, id: _Optional[_Union[RegistrarId, _Mapping]] = ..., handle: _Optional[_Union[RegistrarHandle, _Mapping]] = ..., name: _Optional[str] = ..., organization: _Optional[str] = ...) -> None: ...

class Credit(_message.Message):
    __slots__ = ("decimal_value",)
    DECIMAL_VALUE_FIELD_NUMBER: _ClassVar[int]
    decimal_value: str
    def __init__(self, decimal_value: _Optional[str] = ...) -> None: ...

class RegistrarEppCredentialsId(_message.Message):
    __slots__ = ("value",)
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class SslCertificate(_message.Message):
    __slots__ = ("fingerprint", "cert_data_pem")
    FINGERPRINT_FIELD_NUMBER: _ClassVar[int]
    CERT_DATA_PEM_FIELD_NUMBER: _ClassVar[int]
    fingerprint: bytes
    cert_data_pem: str
    def __init__(self, fingerprint: _Optional[bytes] = ..., cert_data_pem: _Optional[str] = ...) -> None: ...

class RegistrarGroupsMembership(_message.Message):
    __slots__ = ("registrar_handle", "groups")
    REGISTRAR_HANDLE_FIELD_NUMBER: _ClassVar[int]
    GROUPS_FIELD_NUMBER: _ClassVar[int]
    registrar_handle: RegistrarHandle
    groups: _containers.RepeatedScalarFieldContainer[str]
    def __init__(self, registrar_handle: _Optional[_Union[RegistrarHandle, _Mapping]] = ..., groups: _Optional[_Iterable[str]] = ...) -> None: ...

class RegistrarCertificationId(_message.Message):
    __slots__ = ("value",)
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class RegistrarCertification(_message.Message):
    __slots__ = ("certification_id", "registrar_handle", "valid_from", "valid_to", "classification", "file_id")
    CERTIFICATION_ID_FIELD_NUMBER: _ClassVar[int]
    REGISTRAR_HANDLE_FIELD_NUMBER: _ClassVar[int]
    VALID_FROM_FIELD_NUMBER: _ClassVar[int]
    VALID_TO_FIELD_NUMBER: _ClassVar[int]
    CLASSIFICATION_FIELD_NUMBER: _ClassVar[int]
    FILE_ID_FIELD_NUMBER: _ClassVar[int]
    certification_id: RegistrarCertificationId
    registrar_handle: RegistrarHandle
    valid_from: _timestamp_pb2.Timestamp
    valid_to: _timestamp_pb2.Timestamp
    classification: int
    file_id: _common_types_pb2.FileId
    def __init__(self, certification_id: _Optional[_Union[RegistrarCertificationId, _Mapping]] = ..., registrar_handle: _Optional[_Union[RegistrarHandle, _Mapping]] = ..., valid_from: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., valid_to: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., classification: _Optional[int] = ..., file_id: _Optional[_Union[_common_types_pb2.FileId, _Mapping]] = ...) -> None: ...
