from fred_api.registry.registrar import registrar_common_types_pb2 as _registrar_common_types_pb2
from fred_api.registry import common_types_pb2 as _common_types_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class RegistrarInfoRequest(_message.Message):
    __slots__ = ("registrar_handle",)
    REGISTRAR_HANDLE_FIELD_NUMBER: _ClassVar[int]
    registrar_handle: _registrar_common_types_pb2.RegistrarHandle
    def __init__(self, registrar_handle: _Optional[_Union[_registrar_common_types_pb2.RegistrarHandle, _Mapping]] = ...) -> None: ...

class RegistrarInfoReply(_message.Message):
    __slots__ = ("data", "exception")
    class Data(_message.Message):
        __slots__ = ("registrar_handle", "id", "name", "organization", "place", "telephone", "fax", "emails", "url", "is_system_registrar", "company_registration_number", "vat_identification_number", "variable_symbol", "payment_memo_regex", "is_vat_payer", "is_internal")
        REGISTRAR_HANDLE_FIELD_NUMBER: _ClassVar[int]
        ID_FIELD_NUMBER: _ClassVar[int]
        NAME_FIELD_NUMBER: _ClassVar[int]
        ORGANIZATION_FIELD_NUMBER: _ClassVar[int]
        PLACE_FIELD_NUMBER: _ClassVar[int]
        TELEPHONE_FIELD_NUMBER: _ClassVar[int]
        FAX_FIELD_NUMBER: _ClassVar[int]
        EMAILS_FIELD_NUMBER: _ClassVar[int]
        URL_FIELD_NUMBER: _ClassVar[int]
        IS_SYSTEM_REGISTRAR_FIELD_NUMBER: _ClassVar[int]
        COMPANY_REGISTRATION_NUMBER_FIELD_NUMBER: _ClassVar[int]
        VAT_IDENTIFICATION_NUMBER_FIELD_NUMBER: _ClassVar[int]
        VARIABLE_SYMBOL_FIELD_NUMBER: _ClassVar[int]
        PAYMENT_MEMO_REGEX_FIELD_NUMBER: _ClassVar[int]
        IS_VAT_PAYER_FIELD_NUMBER: _ClassVar[int]
        IS_INTERNAL_FIELD_NUMBER: _ClassVar[int]
        registrar_handle: _registrar_common_types_pb2.RegistrarHandle
        id: _registrar_common_types_pb2.RegistrarId
        name: str
        organization: str
        place: _common_types_pb2.PlaceAddress
        telephone: _common_types_pb2.PhoneNumber
        fax: _common_types_pb2.PhoneNumber
        emails: _containers.RepeatedCompositeFieldContainer[_common_types_pb2.EmailAddress]
        url: _common_types_pb2.Url
        is_system_registrar: bool
        company_registration_number: _common_types_pb2.CompanyRegistrationNumber
        vat_identification_number: _common_types_pb2.VatIdentificationNumber
        variable_symbol: str
        payment_memo_regex: str
        is_vat_payer: bool
        is_internal: bool
        def __init__(self, registrar_handle: _Optional[_Union[_registrar_common_types_pb2.RegistrarHandle, _Mapping]] = ..., id: _Optional[_Union[_registrar_common_types_pb2.RegistrarId, _Mapping]] = ..., name: _Optional[str] = ..., organization: _Optional[str] = ..., place: _Optional[_Union[_common_types_pb2.PlaceAddress, _Mapping]] = ..., telephone: _Optional[_Union[_common_types_pb2.PhoneNumber, _Mapping]] = ..., fax: _Optional[_Union[_common_types_pb2.PhoneNumber, _Mapping]] = ..., emails: _Optional[_Iterable[_Union[_common_types_pb2.EmailAddress, _Mapping]]] = ..., url: _Optional[_Union[_common_types_pb2.Url, _Mapping]] = ..., is_system_registrar: bool = ..., company_registration_number: _Optional[_Union[_common_types_pb2.CompanyRegistrationNumber, _Mapping]] = ..., vat_identification_number: _Optional[_Union[_common_types_pb2.VatIdentificationNumber, _Mapping]] = ..., variable_symbol: _Optional[str] = ..., payment_memo_regex: _Optional[str] = ..., is_vat_payer: bool = ..., is_internal: bool = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ("registrar_does_not_exist",)
        class RegistrarDoesNotExist(_message.Message):
            __slots__ = ()
            def __init__(self) -> None: ...
        REGISTRAR_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        registrar_does_not_exist: RegistrarInfoReply.Exception.RegistrarDoesNotExist
        def __init__(self, registrar_does_not_exist: _Optional[_Union[RegistrarInfoReply.Exception.RegistrarDoesNotExist, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: RegistrarInfoReply.Data
    exception: RegistrarInfoReply.Exception
    def __init__(self, data: _Optional[_Union[RegistrarInfoReply.Data, _Mapping]] = ..., exception: _Optional[_Union[RegistrarInfoReply.Exception, _Mapping]] = ...) -> None: ...
