from fred_api.registry.nsset import nsset_common_types_pb2 as _nsset_common_types_pb2
from google.protobuf import timestamp_pb2 as _timestamp_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class NssetHandleHistoryRequest(_message.Message):
    __slots__ = ("nsset_handle",)
    NSSET_HANDLE_FIELD_NUMBER: _ClassVar[int]
    nsset_handle: _nsset_common_types_pb2.NssetHandle
    def __init__(self, nsset_handle: _Optional[_Union[_nsset_common_types_pb2.NssetHandle, _Mapping]] = ...) -> None: ...

class NssetLifetime(_message.Message):
    __slots__ = ("nsset_id", "registered_from", "registered_to")
    class TimeSpec(_message.Message):
        __slots__ = ("nsset_history_id", "timestamp")
        NSSET_HISTORY_ID_FIELD_NUMBER: _ClassVar[int]
        TIMESTAMP_FIELD_NUMBER: _ClassVar[int]
        nsset_history_id: _nsset_common_types_pb2.NssetHistoryId
        timestamp: _timestamp_pb2.Timestamp
        def __init__(self, nsset_history_id: _Optional[_Union[_nsset_common_types_pb2.NssetHistoryId, _Mapping]] = ..., timestamp: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ...) -> None: ...
    NSSET_ID_FIELD_NUMBER: _ClassVar[int]
    REGISTERED_FROM_FIELD_NUMBER: _ClassVar[int]
    REGISTERED_TO_FIELD_NUMBER: _ClassVar[int]
    nsset_id: _nsset_common_types_pb2.NssetId
    registered_from: NssetLifetime.TimeSpec
    registered_to: NssetLifetime.TimeSpec
    def __init__(self, nsset_id: _Optional[_Union[_nsset_common_types_pb2.NssetId, _Mapping]] = ..., registered_from: _Optional[_Union[NssetLifetime.TimeSpec, _Mapping]] = ..., registered_to: _Optional[_Union[NssetLifetime.TimeSpec, _Mapping]] = ...) -> None: ...

class NssetHandleHistoryReply(_message.Message):
    __slots__ = ("data",)
    class Data(_message.Message):
        __slots__ = ("nsset_handle", "timeline")
        NSSET_HANDLE_FIELD_NUMBER: _ClassVar[int]
        TIMELINE_FIELD_NUMBER: _ClassVar[int]
        nsset_handle: _nsset_common_types_pb2.NssetHandle
        timeline: _containers.RepeatedCompositeFieldContainer[NssetLifetime]
        def __init__(self, nsset_handle: _Optional[_Union[_nsset_common_types_pb2.NssetHandle, _Mapping]] = ..., timeline: _Optional[_Iterable[_Union[NssetLifetime, _Mapping]]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    data: NssetHandleHistoryReply.Data
    def __init__(self, data: _Optional[_Union[NssetHandleHistoryReply.Data, _Mapping]] = ...) -> None: ...
