from fred_api.registry.registrar import registrar_common_types_pb2 as _registrar_common_types_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class RegistrarCreditRequest(_message.Message):
    __slots__ = ("registrar_handle",)
    REGISTRAR_HANDLE_FIELD_NUMBER: _ClassVar[int]
    registrar_handle: _registrar_common_types_pb2.RegistrarHandle
    def __init__(self, registrar_handle: _Optional[_Union[_registrar_common_types_pb2.RegistrarHandle, _Mapping]] = ...) -> None: ...

class RegistrarCreditReply(_message.Message):
    __slots__ = ("data", "exception")
    class Data(_message.Message):
        __slots__ = ("registrar_handle", "credit_by_zone")
        class CreditByZoneEntry(_message.Message):
            __slots__ = ("key", "value")
            KEY_FIELD_NUMBER: _ClassVar[int]
            VALUE_FIELD_NUMBER: _ClassVar[int]
            key: str
            value: _registrar_common_types_pb2.Credit
            def __init__(self, key: _Optional[str] = ..., value: _Optional[_Union[_registrar_common_types_pb2.Credit, _Mapping]] = ...) -> None: ...
        REGISTRAR_HANDLE_FIELD_NUMBER: _ClassVar[int]
        CREDIT_BY_ZONE_FIELD_NUMBER: _ClassVar[int]
        registrar_handle: _registrar_common_types_pb2.RegistrarHandle
        credit_by_zone: _containers.MessageMap[str, _registrar_common_types_pb2.Credit]
        def __init__(self, registrar_handle: _Optional[_Union[_registrar_common_types_pb2.RegistrarHandle, _Mapping]] = ..., credit_by_zone: _Optional[_Mapping[str, _registrar_common_types_pb2.Credit]] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ("registrar_does_not_exist",)
        class RegistrarDoesNotExist(_message.Message):
            __slots__ = ()
            def __init__(self) -> None: ...
        REGISTRAR_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        registrar_does_not_exist: RegistrarCreditReply.Exception.RegistrarDoesNotExist
        def __init__(self, registrar_does_not_exist: _Optional[_Union[RegistrarCreditReply.Exception.RegistrarDoesNotExist, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: RegistrarCreditReply.Data
    exception: RegistrarCreditReply.Exception
    def __init__(self, data: _Optional[_Union[RegistrarCreditReply.Data, _Mapping]] = ..., exception: _Optional[_Union[RegistrarCreditReply.Exception, _Mapping]] = ...) -> None: ...
